質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.34%

ubuntu 16.04 に caffe をインストールし、利用したい

受付中

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,967

toto_ton

score 4

前提・実現したいこと

ubuntu 16.04にCaffeをインストールし、makeをエラーなく実行したいです

発生している問題・エラーメッセージ

makeを実行するとエラー文が出てきてしまいます。

エラーメッセージ

make 実行

LD -o build_release/lib/libcaffe.so.1.0.0
/usr/bin/ld: -lhdf5 が見つかりません
collect2: error: ld returned 1 exit status
Makefile:572: ターゲット :'.built_release/lib/libcaffe.so.1.0.0'のレシピで失敗しました
make: ***[.built_release/lib/libcaffe.so.1.0.0] エラー 1

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

そのエラーは、Caffeに必要なlibhdf5がない、という意味のエラーです。

libhdf5以外にも必要なライブラリがありますので、公式のUbuntu向けインストールガイドに従って必要ライブラリを準備しましょう。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/05/22 20:45

    手元にある本を参考にインストールしたのですがそれに従い、外部ライブラリのインストールのために以下のコマンドを打ちました。

    sudo apt-get install libatals-base-dev, libprotobuf-dev, liblevel-dev, libsnappy-dev, libopencv-dev, libboost-all-dev, libhdf5-serial-dev, libgflags-dev, libgoogle-glog-dev,liblmdb-dev, protobuf-compiler git

    そこにlibhdf5はあり、いま念のためインストールしてみたのですが、最新版ですと表示されました。
    ちなみに一度違うところでエラーが出てその時はMakefile.configの一部を訂正したら治ったのですが..

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.34%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る